DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | List of all members
DVPSVOIWindow Class Reference

the representation of one VOI Window in a DICOM image. More...

## Public Member Functions
| DVPSVOIWindow ()
| default constructor
| DVPSVOIWindow (const DVPSVOIWindow &copy)
| copy constructor
DVPSVOIWindow * | clone ()
| clone method. More...
virtual | ~DVPSVOIWindow ()
| destructor
OFCondition | read (size_t idx, DcmDecimalString &wcenter, DcmDecimalString &wwidth, DcmLongString *expl=NULL)
| reads a VOI Window from DICOM elements. More...
void | clear ()
| reset the object to initial state. More...
const char * | getExplanation ()
| gets the Window center/width explanation for this VOI Window. More...
double | getWindowCenter ()
| gets the Window Center of this VOI Window. More...
double | getWindowWidth ()
| gets the Window Width of this VOI Window. More...

## Private Member Functions
DVPSVOIWindow & | operator= (const DVPSVOIWindow &)
| private undefined assignment operator

## Detailed Description

the representation of one VOI Window in a DICOM image.

## Member Function Documentation

## ◆ clear()

void DVPSVOIWindow::clear | ( |  | ) |

reset the object to initial state.

After this call, the object is in the same state as after creation with the default constructor.

## ◆ clone()

DVPSVOIWindow* DVPSVOIWindow::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSVOIWindow object containing a copy of this object.

## ◆ getExplanation()

const char* DVPSVOIWindow::getExplanation | ( |  | ) |

gets the Window center/width explanation for this VOI Window.

If no explanation exists, NULL is returned.

Returns
  Window explanation or NULL

## ◆ getWindowCenter()

double DVPSVOIWindow::getWindowCenter | ( |  | ) |
| inline

gets the Window Center of this VOI Window.

Returns
  window center

## ◆ getWindowWidth()

double DVPSVOIWindow::getWindowWidth | ( |  | ) |
| inline

gets the Window Width of this VOI Window.

Returns
  window width

## ◆ read()

OFCondition DVPSVOIWindow::read | ( | size_t | idx,
|  | DcmDecimalString & | wcenter,
|  | DcmDecimalString & | wwidth,
|  | DcmLongString * | expl = `NULL`
| ) |  |

reads a VOI Window from DICOM elements.

The DICOM elements of the given VOI Window are copied to this object. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  idx | the index of the VOI window to be read, must be < wcenter.getVM()
  wcenter | the window center(s)
  wwidth | the window width(s). wwidth.getVM() must be == wcenter.getVM().
  expl | the window center/window width explanation. If omitted, explanation remains empty.

Returns
  EC_Normal if successful, an error code otherwise.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsvw.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1